Bug 24765 - Updated on date in Claims returned starts off as 01/01/1970
Summary: Updated on date in Claims returned starts off as 01/01/1970
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 14697
Blocks: 24999
  Show dependency treegraph
 
Reported: 2020-02-28 20:19 UTC by Kelly McElligott
Modified: 2020-04-13 20:45 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05


Attachments
Bug 24765: Updated on date in Claims returned starts off as 12/31/1969 (1.86 KB, patch)
2020-03-02 14:39 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24765: Updated on date in Claims returned starts off as 12/31/1969 (1.86 KB, patch)
2020-03-02 14:40 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24765: Updated on date in Claims returned starts off as 12/31/1969 (1.91 KB, patch)
2020-03-26 15:07 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24765: Updated on date in Claims returned starts off as 12/31/1969 (1.98 KB, patch)
2020-03-27 08:54 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2020-02-28 20:19:00 UTC
When an item is claimed returned by staff, there is a column called Updated On - this date field column should remain blank until this claimed returned has been updated.  Currently, when an item has been claimed returned, the date in the updated column states 12/31/1969. This date only shows up in the display, it is doesn't show up in the database like this.

Looking at other data tables with date columns that are blank - this display is not doing the same thing, such as Aqorders or Purchase Suggestions.
Comment 1 Kyle M Hall 2020-03-02 14:39:31 UTC
Created attachment 99923 [details] [review]
Bug 24765: Updated on date in Claims returned starts off as 12/31/1969

When an item is claimed returned by staff, there is a column called Updated On - this date field column should remain blank until this claimed returned has been updated.  Currently, when an item has been claimed returned, the date in the updated column states 12/31/1969. This date only shows up in the display, it is doesn't show up in the database like this.

Test Plan:
1) Enable return claims
2) Make a claim
3) Note the 'updated on' column has the date 1969-12-31
4) Apply this patch
5) Reload the page ( you may need to clear your browser cache )
6) Note the field is now blank
Comment 2 Kyle M Hall 2020-03-02 14:40:17 UTC
Created attachment 99924 [details] [review]
Bug 24765: Updated on date in Claims returned starts off as 12/31/1969

When an item is claimed returned by staff, there is a column called Updated On - this date field column should remain blank until this claimed returned has been updated.  Currently, when an item has been claimed returned, the date in the updated column states 12/31/1969. This date only shows up in the display, it is doesn't show up in the database like this.

Test Plan:
1) Enable return claims
2) Make a claim
3) Note the 'updated on' column has the date 1969-12-31
4) Apply this patch
5) Reload the page ( you may need to clear your browser cache )
6) Note the field is now blank
Comment 3 Katrin Fischer 2020-03-05 06:50:57 UTC
Should this be master in the version?
Comment 4 Kyle M Hall 2020-03-09 13:13:00 UTC
(In reply to Katrin Fischer from comment #3)
> Should this be master in the version?

IIRC I reproduced the bug on master. Does in no longer happen on master for you?
Comment 5 Katrin Fischer 2020-03-11 21:27:34 UTC
(In reply to Kyle M Hall from comment #4)
> (In reply to Katrin Fischer from comment #3)
> > Should this be master in the version?
> 
> IIRC I reproduced the bug on master. Does in no longer happen on master for
> you?

The bug is filed for 19.11 - was just checking if we need to change this as it sounded like master. Did not test myself :)
Comment 6 ByWater Sandboxes 2020-03-26 15:07:08 UTC
Created attachment 101867 [details] [review]
Bug 24765: Updated on date in Claims returned starts off as 12/31/1969

When an item is claimed returned by staff, there is a column called Updated On - this date field column should remain blank until this claimed returned has been updated.  Currently, when an item has been claimed returned, the date in the updated column states 12/31/1969. This date only shows up in the display, it is doesn't show up in the database like this.

Test Plan:
1) Enable return claims
2) Make a claim
3) Note the 'updated on' column has the date 1969-12-31
4) Apply this patch
5) Reload the page ( you may need to clear your browser cache )
6) Note the field is now blank

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 7 Sally 2020-03-26 15:07:58 UTC
Confirmed as a bug on master (albeit with the date 01/01/1970).

The patch works, so signing off.
Comment 8 Jonathan Druart 2020-03-27 08:54:54 UTC
Created attachment 101969 [details] [review]
Bug 24765: Updated on date in Claims returned starts off as 12/31/1969

When an item is claimed returned by staff, there is a column called Updated On - this date field column should remain blank until this claimed returned has been updated.  Currently, when an item has been claimed returned, the date in the updated column states 12/31/1969. This date only shows up in the display, it is doesn't show up in the database like this.

Test Plan:
1) Enable return claims
2) Make a claim
3) Note the 'updated on' column has the date 1969-12-31
4) Apply this patch
5) Reload the page ( you may need to clear your browser cache )
6) Note the field is now blank

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Martin Renvoize 2020-03-27 11:38:58 UTC
Hmm....
Comment 10 Martin Renvoize 2020-03-27 12:24:10 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 11 Joy Nelson 2020-04-03 22:53:39 UTC
backported to 19.11.x for 19.11.05
Comment 12 Lucas Gass 2020-04-13 20:45:00 UTC
missing dependencies for 19.05.x, no backport